Package org.springframework.security.config.annotation.web.configuration

# Class AutowiredWebSecurityConfigurersIgnoreParents

java.lang.Object
org.springframework.security.config.annotation.web.configuration.AutowiredWebSecurityConfigurersIgnoreParents

public final class AutowiredWebSecurityConfigurersIgnoreParents extends Object
A class used to get all the `WebSecurityConfigurer` instances from the current `ApplicationContext` but ignoring the parent.

## Method Summary

Modifier and Type
Method
Description
`List<SecurityConfigurer<jakarta.servlet.Filter,WebSecurity>>`
`getWebSecurityConfigurers()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getWebSecurityConfigurers

public List<SecurityConfigurer<jakarta.servlet.Filter,WebSecurity>> getWebSecurityConfigurers()